\name{MicrosoftML NEWS}
\title{MicrosoftML NEWS}

\section{CHANGES IN MicrosoftML VERSION 1.0.0}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item Renamed functions to have rx prefix.
      \item Added compute context to rxPredict.
    }
  }
  \subsection{BUG FIXES}{
      \itemize{
      \item Fixed bugs that caused deadlocks in training.
    }
  }
}

\section{CHANGES IN MicrosoftML VERSION 0.0.5}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item Removed mtWordBag and mtWordBagHash as they are superceded by featurizeText
      \item Breaking change: Redesigned feature selection API
      \item Breaking change: Standardized function names
    }
  }
  \subsection{BUG FIXES}{
    \itemize{
      \item Improve speed of FastLinear learner for most datasets by automaticaly estimating defaults for L1, L2 and number of iterations(\code{rxFastLinear}).
      \item Fix various bugs.
    }
  }
}

\section{CHANGES IN MicrosoftML VERSION 0.0.4}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item Add a fast linear learner for binary classification and regression (\code{rxFastLinear}).
      \item Add a feature selection transform with two modes: count or mutual information (\code{selectFeatures}).
      \item Add GPU acceleration support for neural nets (\code{rxNeuralNet(acceleration = "gpu")}).
      \item Add summary statistics for the logistic regression model (\code{rxLogisticRegression(showTrainingStats = TRUE)}).
      \item Add a new API to support pipeline execution of transforms and learners (\code{mlPipe}).
    }
  }
  \subsection{BUG FIXES}{
    \itemize{
      \item Improve the performance of \code{rxFastTrees} (up to 5x).
      \item Fix various bugs.
    }
  }
}

\section{CHANGES IN MicrosoftML VERSION 0.0.3}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item \code{reportProgress} and \code{blocksPerRead} arguments have been added to \code{rxPredict.mlModel}.
      \item \code{optimizer} argument is now available for \code{rxNeuralNet}. See
          \code{sgd} and \code{adaDeltaSgd}.
    }
  }
  \subsection{BUG FIXES}{
    \itemize{
      \item \code{extraVarsToWrite} and \code{writeModelVars} arguments for \code{rxPredict.mlModel} are now
 supported when the formula contains a dot expansion (i.e. \code{~.}).
      \item \code{ngramCount} is now available as a \code{featureExtractor} for \code{featurizeText}).
      \item Improved handling of model summary in different locales.
    }    
  }
}

\section{CHANGES IN MicrosoftML VERSION 0.0.2}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item Dataset caching for performance enhancement
      \item Add option to define Neural Net topology via Net#
      \item Updated documentation and demo scripts
    }
  }
  \subsection{BUG FIXES}{
    \itemize{
      \item Remove exception stack trace
      \item Remove model size limitation
      \item Fix quiet mode in training
    }
  }
} 

\section{CHANGES IN MicrosoftML VERSION 0.0.1}{
  \subsection{NEW FEATURES}{
    \itemize{
      \item Binary classification (rxLogisticRegression, fastTrees, fastForest, rxNeuralNet)
      \item Multi-class classification (rxLogisticRegression, rxNeuralNet)
      \item Anomaly detection (rxOneClassSvm)
      \item Regression (fastTrees, fastForest, rxNeuralNet)
      \item Natural language processing (mtWordBag, mtWordHashBag, featurizeText)
      \item Categorical data handling (categorical, categoricalHash)
    }           
  }
}