# Estimate a One-Class SVM model
trainRows <- c(1:30, 51:80, 101:130)
testRows = !(1:150 %in% trainRows)
trainIris <- iris[trainRows,]
testIris <- iris[testRows,]

svmModel <- rxOneClassSvm(
    formula = ~Sepal.Length + Sepal.Width + Petal.Length + Petal.Width,
    data = trainIris)

# Add additional non-iris data to the test data set
testIris$isIris <- 1
notIris <- data.frame(
    Sepal.Length = c(2.5, 2.6),
    Sepal.Width = c(.75, .9),
    Petal.Length = c(2.5, 2.5),
    Petal.Width = c(.8, .7),
    Species = c("not iris", "not iris"),
    isIris = 0)
testIris <- rbind(testIris, notIris)  

scoreDF <- rxPredict(svmModel, 
     data = testIris, extraVarsToWrite = "isIris")
               
# Look at the last few observations
tail(scoreDF)
# Look at average scores conditioned by 'isIris'
rxCube(Score ~ F(isIris), data = scoreDF)
