 myData <- data.frame(opinion = c(
    "I love it!",
    "I love it!",
    "Love it!",
    "I love it a lot!",
    "Really love it!",
    "I hate it",
    "I hate it",
    "I hate it.",
    "Hate it",
    "Hate"),
    like = rep(c(TRUE, FALSE), each = 5),
    stringsAsFactors = FALSE)
    
outModel1 <- rxLogisticRegression(like~opinionCount, data = myData, 
    mlTransforms = list(featurizeText(vars = c(opinionCount = "opinion"), 
        wordFeatureExtractor = ngramHash(invertHash = -1, hashBits = 3)))) 
summary(outModel1)   
       
outModel2 <- rxLogisticRegression(like~opinionCount, data = myData, 
    mlTransforms = list(featurizeText(vars = c(opinionCount = "opinion"), 
        wordFeatureExtractor = ngramCount(maxNumTerms = 5, weighting = "tf"))))         
summary(outModel2)
