require("RUnit")
if (!exists("mlRunTests", globalenv()))
{
	require("MicrosoftML") || stop("unable to load MicrosoftML package")
	mlRunTests <- MicrosoftML:::mlRunTests
	testDir <- file.path(path.package("MicrosoftML"), "unitTests/common")
}else
{
	# Run with local source code
	testDir <- "MicrosoftML/inst/unitTests/common"
}
platform <- ifelse(.Platform$OS.type == "windows", "Win", "Linux")
numbits <- ifelse(.Machine$sizeof.pointer == 4, "32", "64")

if (!exists("reportFileNameBase")) reportFileNameBase <- "MicrosoftMLUnitTestSummary"


gc()
res <- try(mlRunTests( testDir = testDir, showHTMLOutput=TRUE, 
	filename=paste(reportFileNameBase, "_", platform, numbits,".html", sep="")), TRUE)


if (inherits(res, "try-error") || (is.integer(res) && (res > 0))) 
{
	stop("MicrosoftML unit tests failed.")
}
