"test.image.featurizer_default" <- function() 
{
    train <- data.frame(Path = c(
            system.file("help/figures/RevolutionAnalyticslogo.png", package = "MicrosoftML"),
            system.file("help/figures/RevolutionAnalyticslogo.jpg", package = "MicrosoftML")
        ), Label = c(1, 1), stringsAsFactors = FALSE)

    data <- rxFeaturize(
        data = train,
        mlTransforms = list(
            loadImage(vars = list(Features = "Path")),
            resizeImage(vars = "Features", width = 224, height = 224, resizingOption = "IsoCrop"),
            extractPixels(vars = "Features"),
            featurizeImage(var = "Features")
            ),
        mlTransformVars = "Path")

    truedata <- read.csv(system.file("extdata/ImageAnalyticsTestData/featurizeImage_resnet18_output.csv", package = "MicrosoftML"), header = FALSE)
    checkEquals(truedata[, -1], data[, -1], tolerance = 0.001, checkNames = FALSE)
}

"test.image.featurizer_resnet18" <- function() 
{
    train <- data.frame(Path = c(
            system.file("help/figures/RevolutionAnalyticslogo.png", package = "MicrosoftML"),
            system.file("help/figures/RevolutionAnalyticslogo.jpg", package = "MicrosoftML")
        ), Label = c(1, 1), stringsAsFactors = FALSE)

    data <- rxFeaturize(
        data = train,
        mlTransforms = list(
            loadImage(vars = list(Features = "Path")),
            resizeImage(vars = "Features", width = 224, height = 224, resizingOption = "IsoCrop"),
            extractPixels(vars = "Features"),
            featurizeImage(var = "Features", dnnModel = "resnet18")
            ),
        mlTransformVars = "Path")

    truedata <- read.csv(system.file("extdata/ImageAnalyticsTestData/featurizeImage_resnet18_output.csv", package = "MicrosoftML"), header = FALSE)
    checkEquals(truedata[, -1], data[, -1], tolerance = 0.001, checkNames = FALSE)
}

"test.image.featurizer_resnet50" <- function() 
{
    train <- data.frame(Path = c(
            system.file("help/figures/RevolutionAnalyticslogo.png", package = "MicrosoftML"),
            system.file("help/figures/RevolutionAnalyticslogo.jpg", package = "MicrosoftML")
        ), Label = c(1, 1), stringsAsFactors = FALSE)

    data <- rxFeaturize(
        data = train,
        mlTransforms = list(
            loadImage(vars = list(Features = "Path")),
            resizeImage(vars = "Features", width = 224, height = 224, resizingOption = "IsoCrop"),
            extractPixels(vars = "Features"),
            featurizeImage(var = "Features", dnnModel = "Resnet50")
            ),
        mlTransformVars = "Path")

    truedata <- read.csv(system.file("extdata/ImageAnalyticsTestData/featurizeImage_resnet50_output.csv", package = "MicrosoftML"), header = FALSE)
    checkEquals(truedata[, -1], data[, -1], tolerance = 0.001, checkNames = FALSE)
}

"test.image.featurizer_resnet101" <- function() 
{
    train <- data.frame(Path = c(
            system.file("help/figures/RevolutionAnalyticslogo.png", package = "MicrosoftML"),
            system.file("help/figures/RevolutionAnalyticslogo.jpg", package = "MicrosoftML")
        ), Label = c(1, 1), stringsAsFactors = FALSE)

    data <- rxFeaturize(
        data = train,
        mlTransforms = list(
            loadImage(vars = list(Features = "Path")),
            resizeImage(vars = "Features", width = 224, height = 224, resizingOption = "IsoCrop"),
            extractPixels(vars = "Features"),
            featurizeImage(var = "Features", dnnModel = "Resnet101")
            ),
        mlTransformVars = "Path")

    truedata <- read.csv(system.file("extdata/ImageAnalyticsTestData/featurizeImage_resnet101_output.csv", package = "MicrosoftML"), header = FALSE)
    checkEquals(truedata[, -1], data[, -1], tolerance = 0.001, checkNames = FALSE)
}

"test.image.featurizer_alexnet" <- function() 
{
    train <- data.frame(Path = c(
            system.file("help/figures/RevolutionAnalyticslogo.png", package = "MicrosoftML"),
            system.file("help/figures/RevolutionAnalyticslogo.jpg", package = "MicrosoftML")
        ), Label = c(1, 1), stringsAsFactors = FALSE)

    data <- rxFeaturize(
        data = train,
        mlTransforms = list(
            loadImage(vars = list(Features = "Path")),
            resizeImage(vars = "Features", width = 227, height = 227, resizingOption = "IsoCrop"),
            extractPixels(vars = "Features"),
            featurizeImage(var = "Features", dnnModel = "Alexnet")
            ),
        mlTransformVars = "Path")

    truedata <- read.csv(system.file("extdata/ImageAnalyticsTestData/featurizeImage_alexnet_output.csv", package = "MicrosoftML"), header = FALSE)
    checkEquals(truedata[, -1], data[, -1], tolerance = 0.001, checkNames = FALSE)
}